export interface IValidatorsNumberRequirements {
    min?: number;
    max?: number;
}
export interface IValidatorsStringRequirements {
    mustContain?: string[] | string;
    validChars?: string[] | string;
    min?: number | Number;
    max?: number;
    regexp?: RegExp | string;
    number?: IValidatorsNumberRequirements;
}
export declare type IValidatorsPresets = {
    dob: IValidatorsRequirements;
    name: IValidatorsRequirements;
    ein: IValidatorsRequirements;
    password: IValidatorsRequirements;
    age: IValidatorsRequirements;
    email: IValidatorsRequirements;
    username: IValidatorsRequirements;
    phone: IValidatorsRequirements;
};
export declare type IValidatorsRequirements = IValidatorsNumberRequirements | IValidatorsStringRequirements | ValidatorFnCreator;
export declare type IValidatorsValidateOptions = {
    maxErrors?: number;
};
export declare type StringValidatorFn = (str: string) => Error[];
export declare type NumberValidatorFn = (num: number) => Error[];
export declare type ValidatorFnCreator = () => (val: any) => Error[];
